package org.jdtaus.banking.dtaus.swing;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class PhysicalFileFrameBundle{ 

/** <pre> Reference code</pre>. */
public static String getTransactionReferenceText(final Locale locale) {
    return getMessage("transactionReference", locale);
}

/** <pre> Reference code</pre>. */
public static MessageFormat getTransactionReferenceMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("transactionReference", locale), locale);
}

/** <pre> Save as...</pre>. */
public static String getFileSaveAsText(final Locale locale) {
    return getMessage("fileSaveAs", locale);
}

/** <pre> Save as...</pre>. */
public static MessageFormat getFileSaveAsMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("fileSaveAs", locale), locale);
}

/** <pre> Exit</pre>. */
public static String getFileExitText(final Locale locale) {
    return getMessage("fileExit", locale);
}

/** <pre> Exit</pre>. */
public static MessageFormat getFileExitMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("fileExit", locale), locale);
}

/** <pre> Illegal data</pre>. */
public static String getIllegalArgumentTitleText(final Locale locale) {
    return getMessage("illegalArgumentTitle", locale);
}

/** <pre> Illegal data</pre>. */
public static MessageFormat getIllegalArgumentTitleMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("illegalArgumentTitle", locale), locale);
}

/** <pre> No output file specified.</pre>. */
public static String getNoOutputFileText(final Locale locale) {
    return getMessage("noOutputFile", locale);
}

/** <pre> No output file specified.</pre>. */
public static MessageFormat getNoOutputFileMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("noOutputFile", locale), locale);
}

/** <pre> File-Generator...</pre>. */
public static String getToolsGeneratorText(final Locale locale) {
    return getMessage("toolsGenerator", locale);
}

/** <pre> File-Generator...</pre>. */
public static MessageFormat getToolsGeneratorMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("toolsGenerator", locale), locale);
}

/** <pre> File</pre>. */
public static String getFileMenuText(final Locale locale) {
    return getMessage("fileMenu", locale);
}

/** <pre> File</pre>. */
public static MessageFormat getFileMenuMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("fileMenu", locale), locale);
}

/** <pre> Options</pre>. */
public static String getOptionsMenuText(final Locale locale) {
    return getMessage("optionsMenu", locale);
}

/** <pre> Options</pre>. */
public static MessageFormat getOptionsMenuMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("optionsMenu", locale), locale);
}

/** <pre> Add Header...</pre>. */
public static String getEditAddLogicalFileText(final Locale locale) {
    return getMessage("editAddLogicalFile", locale);
}

/** <pre> Add Header...</pre>. */
public static MessageFormat getEditAddLogicalFileMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("editAddLogicalFile", locale), locale);
}

/** <pre> Amount</pre>. */
public static String getTransactionAmountText(final Locale locale) {
    return getMessage("transactionAmount", locale);
}

/** <pre> Amount</pre>. */
public static MessageFormat getTransactionAmountMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("transactionAmount", locale), locale);
}

/** <pre> Update Payment...</pre>. */
public static String getEditUpdateTransactionText(final Locale locale) {
    return getMessage("editUpdateTransaction", locale);
}

/** <pre> Update Payment...</pre>. */
public static MessageFormat getEditUpdateTransactionMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("editUpdateTransaction", locale), locale);
}

/** <pre> Close</pre>. */
public static String getFileCloseText(final Locale locale) {
    return getMessage("fileClose", locale);
}

/** <pre> Close</pre>. */
public static MessageFormat getFileCloseMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("fileClose", locale), locale);
}

/** <pre> Add Transaction...</pre>. */
public static String getCreateTransactionButtonText(final Locale locale) {
    return getMessage("createTransactionButton", locale);
}

/** <pre> Add Transaction...</pre>. */
public static MessageFormat getCreateTransactionButtonMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("createTransactionButton", locale), locale);
}

/** <pre> Executive Account</pre>. */
public static String getTransactionExecutiveAccountText(final Locale locale) {
    return getMessage("transactionExecutiveAccount", locale);
}

/** <pre> Executive Account</pre>. */
public static MessageFormat getTransactionExecutiveAccountMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("transactionExecutiveAccount", locale), locale);
}

/** <pre> Look and Feel</pre>. */
public static String getLafMenuText(final Locale locale) {
    return getMessage("lafMenu", locale);
}

/** <pre> Look and Feel</pre>. */
public static MessageFormat getLafMenuMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("lafMenu", locale), locale);
}

/** <pre> Preferences</pre>. */
public static String getOptionsPreferencesText(final Locale locale) {
    return getMessage("optionsPreferences", locale);
}

/** <pre> Preferences</pre>. */
public static MessageFormat getOptionsPreferencesMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("optionsPreferences", locale), locale);
}

/** <pre> Search...</pre>. */
public static String getToolsSearchText(final Locale locale) {
    return getMessage("toolsSearch", locale);
}

/** <pre> Search...</pre>. */
public static MessageFormat getToolsSearchMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("toolsSearch", locale), locale);
}

/** <pre> Target Name</pre>. */
public static String getTransactionTargetNameText(final Locale locale) {
    return getMessage("transactionTargetName", locale);
}

/** <pre> Target Name</pre>. */
public static MessageFormat getTransactionTargetNameMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("transactionTargetName", locale), locale);
}

/** <pre> New DTAUS File...</pre>. */
public static String getFileNewText(final Locale locale) {
    return getMessage("fileNew", locale);
}

/** <pre> New DTAUS File...</pre>. */
public static MessageFormat getFileNewMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("fileNew", locale), locale);
}

/** <pre> Executive Bank</pre>. */
public static String getTransactionExecutiveBankText(final Locale locale) {
    return getMessage("transactionExecutiveBank", locale);
}

/** <pre> Executive Bank</pre>. */
public static MessageFormat getTransactionExecutiveBankMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("transactionExecutiveBank", locale), locale);
}

/** <pre> The operation could not be performed.
Details: {0}</pre>. */
public static String getIllegalArgumentText(final Locale locale) {
    return getMessage("illegalArgument", locale);
}

/** <pre> The operation could not be performed.
Details: {0}</pre>. */
public static MessageFormat getIllegalArgumentMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("illegalArgument", locale), locale);
}

/** <pre> Really overwrite the file permanently ?</pre>. */
public static String getOverwriteConfirmationText(final Locale locale) {
    return getMessage("overwriteConfirmation", locale);
}

/** <pre> Really overwrite the file permanently ?</pre>. */
public static MessageFormat getOverwriteConfirmationMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("overwriteConfirmation", locale), locale);
}

/** <pre> DTAUS File Editor</pre>. */
public static String getFrameTitleText(final Locale locale) {
    return getMessage("frameTitle", locale);
}

/** <pre> DTAUS File Editor</pre>. */
public static MessageFormat getFrameTitleMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("frameTitle", locale), locale);
}

/** <pre> Logical Files</pre>. */
public static String getLogicalFilePanelTitleText(final Locale locale) {
    return getMessage("logicalFilePanelTitle", locale);
}

/** <pre> Logical Files</pre>. */
public static MessageFormat getLogicalFilePanelTitleMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("logicalFilePanelTitle", locale), locale);
}

/** <pre> Executive Name</pre>. */
public static String getTransactionExecutiveNameText(final Locale locale) {
    return getMessage("transactionExecutiveName", locale);
}

/** <pre> Executive Name</pre>. */
public static MessageFormat getTransactionExecutiveNameMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("transactionExecutiveName", locale), locale);
}

/** <pre> Add Payment...</pre>. */
public static String getEditAddTransactionText(final Locale locale) {
    return getMessage("editAddTransaction", locale);
}

/** <pre> Add Payment...</pre>. */
public static MessageFormat getEditAddTransactionMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("editAddTransaction", locale), locale);
}

/** <pre> Remove Header</pre>. */
public static String getEditRemoveLogicalFileText(final Locale locale) {
    return getMessage("editRemoveLogicalFile", locale);
}

/** <pre> Remove Header</pre>. */
public static MessageFormat getEditRemoveLogicalFileMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("editRemoveLogicalFile", locale), locale);
}

/** <pre> Edit</pre>. */
public static String getEditMenuText(final Locale locale) {
    return getMessage("editMenu", locale);
}

/** <pre> Edit</pre>. */
public static MessageFormat getEditMenuMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("editMenu", locale), locale);
}

/** <pre> --------------------------------------------------------------------------------
</pre>. */
public static String getPrintSeparatorText(final Locale locale) {
    return getMessage("printSeparator", locale);
}

/** <pre> --------------------------------------------------------------------------------
</pre>. */
public static MessageFormat getPrintSeparatorMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("printSeparator", locale), locale);
}

/** <pre> Remove Payment</pre>. */
public static String getEditRemoveTransactionText(final Locale locale) {
    return getMessage("editRemoveTransaction", locale);
}

/** <pre> Remove Payment</pre>. */
public static MessageFormat getEditRemoveTransactionMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("editRemoveTransaction", locale), locale);
}

/** <pre> Open DTAUS Datei...</pre>. */
public static String getFileOpenText(final Locale locale) {
    return getMessage("fileOpen", locale);
}

/** <pre> Open DTAUS Datei...</pre>. */
public static MessageFormat getFileOpenMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("fileOpen", locale), locale);
}

/** <pre> Payments</pre>. */
public static String getTransactionPanelTitleText(final Locale locale) {
    return getMessage("transactionPanelTitle", locale);
}

/** <pre> Payments</pre>. */
public static MessageFormat getTransactionPanelTitleMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("transactionPanelTitle", locale), locale);
}

/** <pre> Really delete the payment permanently ?</pre>. */
public static String getPaymentDeletionConfirmationText(final Locale locale) {
    return getMessage("paymentDeletionConfirmation", locale);
}

/** <pre> Really delete the payment permanently ?</pre>. */
public static MessageFormat getPaymentDeletionConfirmationMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("paymentDeletionConfirmation", locale), locale);
}

/** <pre> Target Account</pre>. */
public static String getTransactionTargetAccountText(final Locale locale) {
    return getMessage("transactionTargetAccount", locale);
}

/** <pre> Target Account</pre>. */
public static MessageFormat getTransactionTargetAccountMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("transactionTargetAccount", locale), locale);
}

/** <pre> Tools</pre>. */
public static String getToolsMenuText(final Locale locale) {
    return getMessage("toolsMenu", locale);
}

/** <pre> Tools</pre>. */
public static MessageFormat getToolsMenuMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("toolsMenu", locale), locale);
}

/** <pre> Target Bank</pre>. */
public static String getTransactionTargetBankText(final Locale locale) {
    return getMessage("transactionTargetBank", locale);
}

/** <pre> Target Bank</pre>. */
public static MessageFormat getTransactionTargetBankMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("transactionTargetBank", locale), locale);
}

/** <pre> Update Header...</pre>. */
public static String getEditUpdateLogicalFileText(final Locale locale) {
    return getMessage("editUpdateLogicalFile", locale);
}

/** <pre> Update Header...</pre>. */
public static MessageFormat getEditUpdateLogicalFileMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("editUpdateLogicalFile", locale), locale);
}

/** <pre> Really delete the logical file permanently ?</pre>. */
public static String getHeaderDeletionConfirmationText(final Locale locale) {
    return getMessage("headerDeletionConfirmation", locale);
}

/** <pre> Really delete the logical file permanently ?</pre>. */
public static MessageFormat getHeaderDeletionConfirmationMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("headerDeletionConfirmation", locale), locale);
}

private static final Map cache = new HashMap();

private static String getMessage(final String key, Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.banking.dtaus.swing.PhysicalFileFrame", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
